com.holonplatform.vaadin.flow.components.builders

## Interface BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>

- Type Parameters:
    `D` - Temporal data type
    `C` - Parent configurator type
  Enclosing interface:
    BaseTemporalInputConfigurator<D,C extends BaseTemporalInputConfigurator<D,C>>

      public static interface BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>

  Calendar popup configuration builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `calendar(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `calendar`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `calendar(String message)` Set the message to use for the word `calendar`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `calendar(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `week`.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `cancel(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `cancel`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `cancel(String message)` Set the message to use for the word `cancel`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `cancel(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `cancel`.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `clear(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `clear`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `clear(String message)` Set the message to use for the word `clear`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `clear(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `clear`.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `firstDayOfWeek(int firstDayOfWeek)` Sets the first day of the week.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `monthNames(List<com.holonplatform.core.i18n.Localizable> monthNames)` Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `monthNames(com.holonplatform.core.i18n.Localizable... monthNames)` Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `monthNames(String... monthNames)` Sets the name of the months, starting from January and ending on December.
    `C` | `set()` Set the calendar localization settings for the Date Input.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `today(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `today`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `today(String message)` Set the message to use for the word `today`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `today(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `today`.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `week(com.holonplatform.core.i18n.Localizable message)` Set the `Localizable` message to use for the word `week`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `week(String message)` Set the message to use for the word `week`.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `week(String defaultMessage, String messageCode, Object... arguments)` Set the localizable message to use for the word `week`.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `weekDays(List<com.holonplatform.core.i18n.Localizable> weekDays)` Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `weekDays(com.holonplatform.core.i18n.Localizable... weekDays)` Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `weekDays(String... weekDays)` Sets the name of the week days, starting from Sunday and ending on Saturday.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `weekDaysShort(List<com.holonplatform.core.i18n.Localizable> weekDaysShort)` Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `weekDaysShort(com.holonplatform.core.i18n.Localizable... weekDaysShort)` Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
    `default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `weekDaysShort(String... weekDaysShort)` Sets the short name of the week days, starting from Sunday and ending on Saturday.

- - ### Method Detail

    - #### monthNames

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> monthNames(List<com.holonplatform.core.i18n.Localizable> monthNames)

      Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
      Parameters:
        `monthNames` - The month names
      Returns:
        this

    - #### monthNames

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> monthNames(com.holonplatform.core.i18n.Localizable... monthNames)

      Set the `Localizable` messages to use to display the month names, starting from January and ending on December.
      Parameters:
        `monthNames` - The month names
      Returns:
        this

    - #### monthNames

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> monthNames(String... monthNames)

      Sets the name of the months, starting from January and ending on December.
      Parameters:
        `monthNames` - The month names
      Returns:
        this

    - #### weekDays

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> weekDays(List<com.holonplatform.core.i18n.Localizable> weekDays)

      Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDays` - The week day names
      Returns:
        this

    - #### weekDays

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> weekDays(com.holonplatform.core.i18n.Localizable... weekDays)

      Set the `Localizable` messages to use to display the week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDays` - The week day names
      Returns:
        this

    - #### weekDays

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> weekDays(String... weekDays)

      Sets the name of the week days, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDays` - The week day names
      Returns:
        this

    - #### weekDaysShort

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> weekDaysShort(List<com.holonplatform.core.i18n.Localizable> weekDaysShort)

      Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDaysShort` - The short week day names
      Returns:
        this

    - #### weekDaysShort

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> weekDaysShort(com.holonplatform.core.i18n.Localizable... weekDaysShort)

      Set the `Localizable` messages to use to display the short week days names, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDaysShort` - The short week day names
      Returns:
        this

    - #### weekDaysShort

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> weekDaysShort(String... weekDaysShort)

      Sets the short name of the week days, starting from Sunday and ending on Saturday.
      Parameters:
        `weekDaysShort` - The short week day names
      Returns:
        this

    - #### firstDayOfWeek

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> firstDayOfWeek(int firstDayOfWeek)

      Sets the first day of the week.

      0 for Sunday, 1 for Monday, 2 for Tuesday, 3 for Wednesday, 4 for Thursday, 5 for Friday, 6 for Saturday.

      Parameters:
        `firstDayOfWeek` - the index of the first day of the week
      Returns:
        this

    - #### week

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> week(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `week`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### week

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> week(String message)

      Set the message to use for the word `week`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### week

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> week(String defaultMessage,
                                                                                      String messageCode,
                                                                                      Object... arguments)

      Set the localizable message to use for the word `week`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### calendar

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> calendar(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `calendar`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### calendar

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> calendar(String message)

      Set the message to use for the word `calendar`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### calendar

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> calendar(String defaultMessage,
                                                                                          String messageCode,
                                                                                          Object... arguments)

      Set the localizable message to use for the word `week`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### clear

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> clear(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `clear`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### clear

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> clear(String message)

      Set the message to use for the word `clear`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### clear

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> clear(String defaultMessage,
                                                                                       String messageCode,
                                                                                       Object... arguments)

      Set the localizable message to use for the word `clear`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### today

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> today(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `today`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### today

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> today(String message)

      Set the message to use for the word `today`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### today

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> today(String defaultMessage,
                                                                                       String messageCode,
                                                                                       Object... arguments)

      Set the localizable message to use for the word `today`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### cancel

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> cancel(com.holonplatform.core.i18n.Localizable message)

      Set the `Localizable` message to use for the word `cancel`.
      Parameters:
        `message` - the `Localizable` message to use
      Returns:
        this

    - #### cancel

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> cancel(String message)

      Set the message to use for the word `cancel`.
      Parameters:
        `message` - the message to use
      Returns:
        this

    - #### cancel

          default BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> cancel(String defaultMessage,
                                                                                        String messageCode,
                                                                                        Object... arguments)

      Set the localizable message to use for the word `cancel`.
      Parameters:
        `defaultMessage` - Default message
        `messageCode` - Message translation code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### set

          C set()

      Set the calendar localization settings for the Date Input.
      Returns:
        The parent Input builder

Copyright © 2019 The Holon Platform. All rights reserved.